[![maven][badge-latest-tag]][project-packages]
[![pipeline state][badge-master-pipe]][project-pipelines]
[![latest dev pipeline][badge-latest-pipe]][project-pipelines]
[![License GPLv3][badge-gplv3]][gplv3]
[![Conventional Commits][badge-conventional-commits]][convcomm]

# Unified Ticketing

This is the documentation for a Java-library called `unified-ticketing`.
This lib provides generic interfaces to interact with tickets
from different ticket systems out of your Java code.

This library is a maven artifact,
published under the [GNU GPL-v3][gplv3] license.
The source code is publicly available from the [transfer portal][transferportal] of the [University of Applied Sciences Stuttgart][hfthome].

## What to find where

The documentation is split in three main parts, navigable on the top-bar.
Each main-part gives you a navigation of it's content on the left.
On the right, the currents page table of contents is shown.  
The icon in the upper left brings you from anywhere back to this start-page.
In the upper right you can go to the source code repository of this library and documentation.
Leftwards a full-text search is provided.

The part you are reading right now (__Home__), is the main website.
Following is a list, what each site contains:

 - __Changelog:__ auto-generated changelog from the commits
 - __Contributing:__
     - Prerequisites to be able to be a contributor to this project
     - Needed machine-setup to develop (both for the library and documentation part)
 - __License:__ GNU GPLv3 content
 - __Usage:__
     - needed entries to get this library into your own maven-project
     - some code-snippets showing the libs capabilites

The __API__ part holds a detailed description, for each publicly accessible class and their methods.
There is an own index file, explaining the package structure of the library
and how it is documented.

The __Developers Guide__ is the part, you have to lookup the conventions and workflows used in this project,
if you decide to contribute to it.

## Maintainer

!!! todo
    Me/University

[badge-conventional-commits]: https://img.shields.io/badge/Conventional%20Commits-1.0.0-orange.svg
[badge-gplv3]: https://img.shields.io/badge/License-GPLv3-blue.svg
[badge-latest-pipe]: https://img.shields.io/badge/dynamic/json?color=lightgrey&label=latest%20dev%20pipeline&query=%24%5B0%5D.status&url=https%3A%2F%2Ftransfer.hft-stuttgart.de%2Fgitlab%2Fapi%2Fv4%2F%2Fprojects%2F154%2Fpipelines%3Fper_page%3D1
[badge-latest-tag]: https://img.shields.io/badge/dynamic/json?color=green&label=maven&query=%24%5B0%5D.name&url=https%3A%2F%2Ftransfer.hft-stuttgart.de%2Fgitlab%2Fapi%2Fv4%2Fprojects%2F154%2Frepository%2Ftags%3Fper_page%3D1
[badge-master-pipe]: https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/badges/master/pipeline.svg
[convcomm]: https://conventionalcommits.org
[gplv3]: unified-ticketing/license-softlink.md
[hfthome]: https://www.hft-stuttgart.de
[project-packages]: https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/-/packages
[project-pipelines]: https://transfer.hft-stuttgart.de/gitlab/9Lukas5/unified-ticketing/pipelines
[transferportal]: https://transfer.hft-stuttgart.de
